// The pin that the buzzer is attached to
int speaker = 9;

//Define the frequencies of the tones
int  c = 261;
int  d = 294;
int  e = 329;
int  f = 349;
int  g = 392;
int  a = 440;
int  b = 493;
int  C = 523;


// Set beats per second
int bps = 64;

int melody[] = {  C,  C,  C,  g,  a,  a,  g,  e,  e,  d,  d,  c };    //Define melody
int beats[]  = { 16, 16, 16, 16, 16, 16, 32, 16, 16, 16, 16, 32 };    //Set number of beats for each note in the melody

//Set melody length
int melody_length = 12;


void setup() { 
  pinMode(speaker, OUTPUT);
}


void loop() 
{
  // Loop through and play each note in the melody

//for (initialization; condition; increment)
  for (int i = 0; i < melody_length; i++) 
  {
    tone(speaker, melody[i]);
    delay((beats[i] * 1000) / bps);
    noTone(speaker);

    // A short pause between each note
    delay(1);
  }
  
  //Pause between each time melody is played
  delay(2000);
}
